function integral=trapecios(x,y)

% Esta funcin aproxima el clculo de una integral por el mtodo
% de los trapecios
% integral=trapecios(x,y);
% Variables de entrada:
% x vector de abscisas
% y vector de ordenadas
% Variables de salida:
% integral valor aproximado de la integral


% nmero de abscisas

n=length(x);

if n<=1

    integral=0;

else

    % aplicamos la regla simple de los trapecios n-1 veces

    h=abs(diff(x));

    % frmula que nos aproxima la integral

    integral=sum(((y(1:n-1)+y(2:n))/2).*h);

end